Index: sansview/perspectives/fitting/fit_thread.py
===================================================================
--- sansview/perspectives/fitting/fit_thread.py	(revision 662da312e8482d743654f628b2f483bb37ba6d7c)
+++ sansview/perspectives/fitting/fit_thread.py	(revision 25e3fc9206f3a71ae3802b4eaa7aed1f169ed5b9)
@@ -155,6 +155,6 @@
         except :
             #Stop on exception during fitting. Todo: need to put some mssg and reset progress bar.
-            #msg= " Fit Error occurred... %s"%sys.exc_value
-            #wx.PostEvent(self.parent, StatusEvent(status= msg,type="stop"))
-            raise
+            msg= " Fit Error occurred... %s"%sys.exc_value
+            wx.PostEvent(self.parent, StatusEvent(status= msg,type="stop"))
+            
     
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision 9237df447dfe19e6369d65d570ce5e86d93a99b3)
+++ sansview/perspectives/fitting/fitting.py	(revision 25e3fc9206f3a71ae3802b4eaa7aed1f169ed5b9)
@@ -459,8 +459,7 @@
                     self.current_pg= page
             except:
-                raise
-                #msg= "%s error: %s" % (engineType,sys.exc_value)
-                #wx.PostEvent(self.parent, StatusEvent(status= msg ))
-                #return 
+                msg= "%s error: %s" % (engineType,sys.exc_value)
+                wx.PostEvent(self.parent, StatusEvent(status= msg ))
+                return 
             
         #Do the simultaneous fit
@@ -501,8 +500,7 @@
             print "in pluging"
         except:
-            raise
-        #    msg= "%s error: %s" % (engineType,sys.exc_value)
-        #    wx.PostEvent(self.parent, StatusEvent(status= msg ,type="stop"))
-        #    return 
+            msg= "%s error: %s" % (engineType,sys.exc_value)
+            wx.PostEvent(self.parent, StatusEvent(status= msg ,type="stop"))
+            return 
         
     def ready_fit(self, calc_fit):
@@ -641,8 +639,7 @@
             value.clear_model_param()
         except:
-            raise
-            #msg= title +" error: %s" % sys.exc_value
-            #wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
-            #return
+            msg= title +" error: %s" % sys.exc_value
+            wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+            return
        
     def _onSelect(self,event):
@@ -776,8 +773,7 @@
            
         except:
-            raise
-            #msg= "Single Fit completed but Following error occurred:%s"% sys.exc_value
-            #wx.PostEvent(self.parent, StatusEvent(status=msg,type="stop"))
-            #return
+            msg= "Single Fit completed but Following error occurred:%s"% sys.exc_value
+            wx.PostEvent(self.parent, StatusEvent(status=msg,type="stop"))
+            return
        
        
@@ -829,9 +825,8 @@
                     page.onsetValues(result.fitness, small_param_name,small_out,small_cov)
         except:
-            raise
-             #msg= "Simultaneous Fit completed"
-             #msg +=" but Following error occurred:%s"%sys.exc_value
-             #wx.PostEvent(self.parent, StatusEvent(status=msg,type="stop"))
-             #return 
+             msg= "Simultaneous Fit completed"
+             msg +=" but Following error occurred:%s"%sys.exc_value
+             wx.PostEvent(self.parent, StatusEvent(status=msg,type="stop"))
+             return 
              
                            
@@ -1205,9 +1200,8 @@
             
         except:
-            raise
-            #msg= " Error occurred when drawing %s Model 2D: "%model.name
-            #msg+= " %s"%sys.exc_value
-            #wx.PostEvent( self.parent, StatusEvent(status= msg ))
-            #return  
+            msg= " Error occurred when drawing %s Model 2D: "%model.name
+            msg+= " %s"%sys.exc_value
+            wx.PostEvent( self.parent, StatusEvent(status= msg ))
+            return  
    
     def _draw_model1D(self, model, data=None, smearer= None,
Index: sansview/perspectives/fitting/invariant_panel.py
===================================================================
--- sansview/perspectives/fitting/invariant_panel.py	(revision 9237df447dfe19e6369d65d570ce5e86d93a99b3)
+++ sansview/perspectives/fitting/invariant_panel.py	(revision 25e3fc9206f3a71ae3802b4eaa7aed1f169ed5b9)
@@ -131,11 +131,10 @@
                 check_float(self.invariant_err_ctl)
             except:
-                raise
-                #msg= "Error occurs for invariant: %s"%sys.exc_value
-                #wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
-                #return
+                msg= "Error occurs for invariant: %s"%sys.exc_value
+                wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                return
             #Compute qstar extrapolated to low q range
             #Clear the previous extrapolated plot
-            print "low_q, high_q",low_q, high_q
+            #print "low_q, high_q",low_q, high_q
             if low_q:
                 try: 
@@ -148,7 +147,6 @@
                     self._plot_data(data=low_in_data, name=self.data.name+"Fitted data for low_Q")
                 except:
-                    raise
-                    #msg= "Error occurs for low q invariant: %s"%sys.exc_value
-                    #wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                    msg= "Error occurs for low q invariant: %s"%sys.exc_value
+                    wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
             if high_q:
                 try: 
@@ -161,7 +159,6 @@
                     self._plot_data(data=high_in_data, name=self.data.name+"Fitted data for high_Q")
                 except:
-                    raise
-                    #msg= "Error occurs for high q invariant: %s"%sys.exc_value
-                    #wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                    msg= "Error occurs for high q invariant: %s"%sys.exc_value
+                    wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
             try:
                 qstar_total, qstar_total_err = inv.get_qstar_with_error(extrapolation)
@@ -171,7 +168,6 @@
                 check_float(self.invariant_total_err_ctl)
             except:
-                raise
-                #msg= "Error occurs for total invariant: %s"%sys.exc_value
-                #wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                msg= "Error occurs for total invariant: %s"%sys.exc_value
+                wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
                 
             contrast = self.contrast_ctl.GetValue().lstrip().rstrip()
@@ -192,7 +188,6 @@
                 check_float(self.volume_err_ctl)
             except:
-                raise
-                #msg= "Error occurs for volume fraction: %s"%sys.exc_value
-                #wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                msg= "Error occurs for volume fraction: %s"%sys.exc_value
+                wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
             try:
                 s, ds = inv.get_surface_with_error(contrast=contrast,
@@ -203,7 +198,6 @@
                 check_float(self.surface_err_ctl)
             except:
-                raise
-                #msg= "Error occurs for surface: %s"%sys.exc_value
-                #wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                msg= "Error occurs for surface: %s"%sys.exc_value
+                wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
                 
         else:
@@ -218,9 +212,9 @@
             @param name: Data's name to use for the legend
         """
-        print "went here "
+        #print "went here "
         plottable = self.graph.get_plottable(name=name)
         if plottable is not None:
             self.graph.delete(plottable)
-        print "name--->",name
+        #print "name--->",name
         # Create a plottable data
         new_plot = Data1D(x=[], y=[], dx=None, dy=None)
